/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.slider-info {
    border-radius: rem(32);
    border: 1px solid #4C42CB;
    box-shadow: 0px 32px 32px 0px #0000003D;
    
    &-item {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        aspect-ratio: 2 / 1.1;
        background-color: var(--slider-info-bg);
        padding: 0 rem(15);
        position: relative;

        img{
            width: 100%;
            height: 100%;
            position: absolute;
            object-fit: cover;
            z-index: 1;
        }

        h2 {
            font-size: rem(28);
            color: var(--white);
            font-weight: 600;
            line-height: 1.3em;
            position: relative;
            z-index: 2;
        }

        p {
            font-size: rem(16);
            color: var(--white);
            line-height: 2.1em;
            position: relative;
            z-index: 2;
        }

        h2 + p {
            margin-top: rem(5);   
        }

        &.slider-light {
            h2 {
                color: var(--color-default-7);
            }
        }

    }
    
    &-actions {
        padding-top: rem(32);
        position: relative;
        z-index: 2;
    }

    &-pagination {
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: rem(10);
        margin-top: rem(24);
        bottom: rem(24);

        span {
            display: block;
            width: rem(10);
            height: rem(10);
            background-color: var(--slider-info-bg);
            border-radius: 50%;

            &.active {
                background-color: var(--pagination-active);
            }

        }
    }

    &.faqs {
        margin-top: rem(120);
    }

    .swiper-pagination-bullet {
        width: rem(10);
        height: rem(10);
        background-color: var(--color-default-2);
        border-radius: 50%;

        &.swiper-pagination-bullet-active{
            background-color: var(--white);
        }
    }

}

.swiper-button-next, .swiper-button-prev {
    width: rem(48) !important;
    height: rem(48) !important;
    display: flex  !important;
    align-items: center !important;
    justify-content: center !important;
    color: var(--color-default-2) !important;
    font-size: rem(9) !important;
    border-radius: rem(24) !important;
    border: 1px solid rgba(133, 127, 228, 0.2) !important;
    transition: all 0.3s ease !important;

    &:hover{
        color: var(--white) !important;
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%) !important;
        box-shadow: 0px 8px 16px 0px #7090B01F !important;
        border-color: var(--color-default-2) !important;
    }

    &:after{
        font-family: 'icomoon' !important;
        font-size: rem(9) !important;
        content: "\e900" !important;
        height: rem(6) !important;
    }
}

.swiper-button-next::after{
    transform: rotate(-90deg) !important; 
}

.swiper-button-prev::after{
    transform: rotate(90deg) !important;
}